/* base header styles **************************************************************
************************************************************************************/
//mobile breakpoint
$header-breakpoint: 1020px;
//bg-colors
$header-bg: rgba(0,0,0,0.6);
$mobile-nav-bg: rgba(0,0,0,0.8);
$sub-nav-bg: #bbb;
$sub2-nav-bg: lighten($sub-nav-bg, 2%);
$toggle-color: #fff;
//font size and colors
$ment-text-size: 16px;
$menu-text-color: #fff;
$active-menu-text: #000;
//transitions
$header-hover: 0.3s linear;

@media(min-width: $header-breakpoint){
	.header {
		background: $header-bg;
		width: 100%;
		& *,*:after,*:before {
			box-sizing: border-box;
		}
		&.fixed {
			position: fixed;
			top: 0;
			left: 0;
			right: 0;
			z-index: 1000;
		}
		.header-content {
			width: 100%;
			padding: 10px 15px;
			position: relative;
		}
		.header-logo {
			display: inline-block;
			margin: 0;
			padding: 10px;
			color: #fff;
			a {
				color: inherit;
			}
		}
	}
	.nav-overlay {
		display: none;
	}
}
@media(max-width: $header-breakpoint){
	.header {
		background: $header-bg;
		width: 100%;
		height: 50px;
		&.fixed {
			position: fixed;
			top: 0;
			left: 0; 
			right: 0;
			z-index: 1000;
		}
		.header-content {
			width: 100%;
			height: 100%;
			padding: 0px 15px;
			position: relative;
		}
		.header-logo {
			display: inline-block;
			margin: 0;
			
			color: #fff;
			a {
				display: inline-block;
				padding: 12px 0 0;
				color: inherit;
				font-size: 20px;
			}
		}
	}
	.menu-active {
		overflow: hidden;
	}
	.nav-overlay {
		background: transparent;
		position: fixed;
		top: 0;
		left: 0;
		right: 0;
		bottom: 0;
		transition: background 0.25s linear;
	}
	.active-overlay {
		.nav-overlay {
			background: rgba(255,255,255,0.5);
		}
	}
}